Bug 25240 - SSL Library Error: 336105671 logged as informational message
Summary: SSL Library Error: 336105671 logged as informational message
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_ssl (show other bugs)
Version: 2.0.47
Hardware: HP HP-UX
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2003-12-05 13:34 UTC by Arthur Luimes
Modified: 2018-11-07 21:08 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arthur Luimes 2003-12-05 13:34:09 UTC
SSL Library errors like:
[info] SSL Library Error: 336105671 error:140890C7:lib(20):func(137):reason(199)
or
[info] SSL Library Error: 336109761 error:1408A0C1:lib(20):func(138):reason(193)

are logged as informational messages, whereas they correspond to invalid client 
certificates, which should be logged on the "error" level, just like "File does 
not exist" messages.

Could you please correct this?

Thanks a lot,

Arthur Luimes
arthur.luimes@ins.com
Comment 1 Joe Orton 2007-11-05 03:09:30 UTC
If client cert auth is configued you *will* get an error-level message logged
for a verification issue, e.g.

[error] Certificate Verification: Error (23): certificate revoked

in what cases are access-control errors not logged as errors?
Comment 2 William A. Rowe Jr. 2018-11-07 21:08:28 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.